<?php
require_once(BASE_LIB.'/AjaxView.php');
/**
 * LB_Auth LoginInterface A
 *
 * @package     LabbitBox
 * @subpackage  LB_Auth
 * @author      minotaur <minotaur@labbitbox.org>
 * @since       2011/08/23
 */
class LB_Auth_LGIF_A extends AjaxView {

    public function __construct($application){
        parent::__construct($application);
    }

    public function lgif_login_btn_click(){
        // ログインしている場合の処理 (画面更新)
        if ($this->shared('auth_status') == 'SUCCEEDED'){
            if($_SERVER['HTTPS']){
                $this->addClientProc("url=location.href; url = url.replace('https:', 'http:'); location.href=url;");
            }else{
                $this->addClientProc("location.reload();");
            }
        }else{//ログイン失敗時はアラート
            $this->addClientProc("alert('".$this->config('app.LB_Auth.auth_fail_msg')."');");
        }
    }
 
    //ログアウトボタンおよび「こちら」リンク
    public function lgif_logout_btn_click(){
        //$this->lgif_login_btn_click(); //現在はloginと同じ処理を行う(cookie,session初期化はPrecontrollerで実行済み)
        // 画面更新
        $this->addClientProc("location.reload();");
    }

}

?>
